# DocBook Labels

## Modes

`db.label.mode`

`db.number.mode`

  FIXME

`db.digit.mode`

  FIXME

`db.number.parent.mode`

  FIXME

## Templates

`db.label`

  Generates the label for an element

`db.number`

  Generates the number portion of a label

`db.digit`

  FIXME

## `db.label.mode`

### Parameters

`role`

  The role of the label, as passed to the format template

### Description

## `db.number.mode`

FIXME

### Description

## `db.digit.mode`

FIXME

### Description

## `db.number.parent.mode`

FIXME

### Description

## `db.label`

Generates the label for an element

### Parameters

`node`

  The node to generate a label for

`role`

  The role of the label, as passed to the format template

### Description

This template generates the label used for some sectioning and block-level elements. For instance, this would generate strings such as Section 14.3 or Table 5-2. The template simply applies the mode `db.label.mode` to the element. To change the behavior of a particular type of element, you should always override the mode template for that element.

Overriding the `db.label` template should only be done if you wish to change the labelling mechanism completely, or if you wish to wrap the labelling mechanism (for instance, with a caching extension). Do not override this template to suppress label prefixes in titles.

## `db.number`

Generates the number portion of a label

### Parameters

`node`

  The element to generate a number for

### Description

This template generates the number portion of the label used for some sectioning and block-level elements. The template simply applies the mode `db.number.mode` to the element. To change the behavior of a particular type of element, you should always override the mode template for that type of element.

Overriding the `db.number` template should only be done if you wish to change the numbering mechanism completely, or you wish to wrap the numbering mechanism (for example, with a caching extension).

## `db.digit`

FIXME

### Description